/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
  .w-sm-auto {
    width: auto !important;
  }
  .h-sm-custom {
    height: var(--h-sm, auto) !important;
  }
  .fs-sm-5 {
    font-size: 1.25rem;
  }
  .langs-list {
    border-left: 1px solid var(--bs-border-color);
  }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
  .grid-team {
    grid-template-columns: 1fr 1fr;
    grid-auto-flow: dense;
  }
  /* .grid-team > * {
    grid-column: 1;
    grid-row: 1;
  } */
  .grid-team > *.with-img {
    grid-row: span 2;
  }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
  .container-bigger {
    max-width: 1040px;
  }
  .position-lg-absolute {
    position: absolute !important;
  }
  .transform-lg {
    transform: translate(var(--trans-x, 0), var(--trans-y, 0))
      scale(var(--scale-lg, 1)) !important;
    transform-origin: center;
  }
  .bg-lg-clip {
    clip-path: polygon(0 0, 90% 0%, 90% 100%, 0% 100%);
  }
  .position-lg-absolute {
    position: absolute !important;
  }
  .set-lg {
    right: var(--end-lg, 0) !important;
  }
  /*  */
  /* HEADER */
  .navbar {
    border-bottom: 1px solid var(--bs-border-color);
  }
  .navbar .navbar-nav .nav-link {
    color: var(--blue);
    font-weight: bold;
    position: relative;
  }
  .navbar .navbar-nav .nav-link::before {
    content: "";
    width: 0;
    height: 1px;
    background-color: var(--blue);
    position: absolute;
    bottom: 0;
    left: 0;
    transition: all 0.3s ease-in-out;
  }
  .navbar .navbar-nav .nav-link.active::before,
  .navbar .navbar-nav .nav-link:hover::before {
    width: 100%;
  }
  .navbar .dropdown {
    position: static;
  }
  .navbar .dropdown-menu {
    right: 50%;
    left: auto;
    top: calc(100% + 1px);
    display: block;
    opacity: 0;
    transform: translate(50%, 10px);
    visibility: hidden;
    transition:
      opacity 0.3s ease,
      transform 0.3s ease,
      visibility 0.3s;
    position: absolute;
    /* width: 100%;
    background: rgba(255, 255, 255, 0.15);
    backdrop-filter: blur(12px); */
    border: none !important;
    transition-delay: 0.1s;
  }
  .navbar .dropdown-menu.show,
  .navbar .dropdown:hover .dropdown-menu {
    opacity: 1;
    transform: translate(50%, 0);
    visibility: visible;
    /* transition-delay: 0s; */
  }
  .navbar .dropdown-toggle::after {
    content: "";
    border: none;
    display: inline-block;
    margin-left: 0;
    vertical-align: 0;
    width: 16px;
    height: 16px;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-image: url("../img/x_blue.svg");
    background-color: transparent;
    transform: translateY(2px);
  }
  .navbar .dropdown-toggle.show::after,
  .navbar .dropdown:hover .dropdown-toggle::after {
    background-image: url("../img/x_red.svg");
  }
  .navbar .dropdown-item:hover {
    background-color: transparent;
  }
  .menu-prodotti,
  .menu-applicazioni {
    background-color: color-mix(in srgb, var(--blue) 75%, transparent);
    backdrop-filter: blur(5px);
    color: var(--white);
  }
  .menu-prodotti .dropdown-item {
    color: var(--white);
    font-weight: bold;
    font-size: 1.25rem !important;
    border-bottom: 1px solid var(--white);
  }
  .menu-prodotti .dropdown-item.active,
  .menu-prodotti .dropdown-item:hover {
    background-color: transparent;
    color: var(--red) !important;
  }
  .menu-applicazioni,
  .menu-tecnologie {
    display: flex !important;
    flex-wrap: nowrap;
    column-gap: 1px;
    background-color: var(--white) !important;
  }
  .menu-applicazioni > li {
    flex: 0 0 200px;
    height: 200px;
  }
  .menu-applicazioni > li:hover img {
    transform: scale(1.2);
  }
  .menu-tecnologie {
    column-gap: 0.5rem;
    background-color: color-mix(
      in srgb,
      var(--blue) 75%,
      transparent
    ) !important;
    backdrop-filter: blur(5px);
  }
  .menu-tecnologie > li {
    flex: 1 0 150px;
    transition: all 0.3s ease-in-out;
  }
  .menu-tecnologie > li {
    border: 1px solid transparent;
  }
  .menu-tecnologie > li:hover {
    border: 1px solid var(--theme);
  }
  .menu-tecnologie > li > div {
    transform: scale(0.95);
    transition: all 0.3s ease-in-out;
  }
  .menu-tecnologie > li:hover > div {
    transform: scale(1);
  }

  .langs-list::before {
    top: 0;
    height: 100%;
  }
  .form-search .form-control,
  .form-search .form-control::placeholder {
    font-size: 0.9rem;
  }

  .btn-info-modal {
    position: fixed;
    top: 33.333%;
    right: -74px;
    transform: rotate(90deg);
  }
  .pagination {
    justify-content: end;
  }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
  .container-bigger {
    max-width: 1240px;
  }
  .h-tags h1,
  .h-fs-1 :is(h1, h2, h3) {
    font-size: 2.5rem !important;
  }
  .h-tags h2,
  .h-fs-2 :is(h1, h2, h3) {
    font-size: 2rem !important;
  }
  .h-tags h3,
  .h-fs-3 :is(h1, h2, h3) {
    font-size: 1.75rem !important;
  }
  .h-tags h4,
  .h-fs-4 :is(h2, h3, h4) {
    font-size: 1.5rem !important;
  }
  .testata h1 {
    font-size: 5rem;
    margin-bottom: 2.5rem;
  }
  .testata p {
    font-size: 2.5rem;
  }
}

@media (min-width: 1400px) {
  .container-bigger {
    max-width: 1440px;
  }
  .set-xxl {
    left: var(--left-xxl, 0) !important;
  }
  .bg-lg-clip {
    clip-path: polygon(0 0, 75% 0%, 75% 100%, 0% 100%);
  }
}

@media (min-width: 1700px) {
  .container-bigger {
    max-width: 1640px;
  }
}

@media (min-width: 1920px) {
  .site-wrap {
    width: 1920px;
    max-width: 100%;
    margin: 0 auto;
  }
}

@media (max-width: 1399.98px) {
}

/* Large devices (desktops, less than 1200px) */
@media (max-width: 1199.98px) {
}

/* Medium devices (tablets, less than 992px) */
@media (max-width: 991.98px) {
  /* HEADER */
  .navbar .dropdown {
    overflow: hidden;
    position: relative;
  }
  .navbar .dropdown-menu {
    display: block;
    transform: translate(1px, 100%);
    opacity: 0;
    visibility: hidden;
    transition: all 0.5s ease;
    max-height: 0;
    position: static;

    background-color: var(--blue);
    border: 5px solid var(--white);
  }
  .navbar .dropdown-menu:not(.show) {
    border: 0 !important;
    padding: 0 !important;
  }
  .navbar .dropdown-menu.show {
    transform: translate(1px, 0);
    opacity: 1;
    visibility: visible;
    max-height: 500px;
  }
  .menu-applicazioni .last-odd,
  .menu-tecnologie .last-odd {
    grid-column: 1 / 3;
  }
  .navbar .offcanvas {
    max-width: 350px;
    min-height: 500px;
  }
  .navbar .navbar-nav .nav-link,
  .navbar
    .navbar-nav
    .dropdown-menu:not(.menu-applicazioni):not(.menu-tecnologie)
    .dropdown-item {
    color: rgba(var(--bs-light-rgb), 0.65) !important;
  }
  .navbar .navbar-nav .dropdown-item {
    font-size: 0.9rem;
  }
  .navbar .navbar-nav .nav-link.active,
  .navbar .navbar-nav .dropdown-item.active {
    color: rgba(var(--bs-light-rgb), 1) !important;
  }
  .navbar .navbar-nav .nav-link:focus-visible,
  .navbar .navbar-nav .dropdown-item:focus-visible,
  .navbar .navbar-nav .nav-link:hover,
  .navbar .navbar-nav .dropdown-item:hover {
    background-color: transparent;
    border: none;
  }
}

/* Small devices (landscape phones, less than 768px) */
@media (max-width: 767.98px) {
}

/* Extra small devices (portrait phones, less than 576px) */
@media (max-width: 575.98px) {
  .navbar .offcanvas {
    max-width: none;
    width: 100%;
  }
  .navbar .navbar-nav,
  .form-search {
    max-width: 350px;
  }
  .flex-til-sm {
    flex: 0 0 var(--flex-til-sm, auto) !important;
  }
  .w-til-sm-custom {
    width: var(--w-til-sm, auto) !important;
  }
}

@media (hover: none) and (pointer: coarse) and (max-width: 991.98px) {
  .mx-touch {
    margin-right: 0.5rem !important;
    margin-left: 0.5rem !important;
  }
  .px-touch {
    padding-right: 0.5rem !important;
    padding-left: 0.5rem !important;
  }
}
